Skip to content
PromotionsCoupons

Create coupon code

Adds a code to the coupon with an optional usage limit and returns it.

Path Parameters

couponId*string

Identifier of the coupon.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/coupons/7204558912004324510/codes" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "code": "BIENVENIDA10",    "usageLimit": 1  }'
{  "id": "7204558912004329139",  "code": "BIENVENIDA10",  "usageLimit": 1,  "usageCount": 24,  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z"}